package domain

type AlibabaHmMarketingItembuygiftQueryactivityItemBuyGiftActivity struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   买赠活动详情描述,不超过30个英文字符     */
	Description *string `json:"description,omitempty" `

	/*
	   买赠活动名称，不超过10个英文字符     */
	ActivityName *string `json:"activity_name,omitempty" `

	/*
	   结束时间，时间戳     */
	EndTime *int64 `json:"end_time,omitempty" `

	/*
	   开始时间，时间戳     */
	StartTime *int64 `json:"start_time,omitempty" `

	/*
	   参加活动的渠道店ids     */
	ShopIds *string `json:"shop_ids,omitempty" `

	/*
	   优惠适用场景:APP|POS|POS+APP 分别对应的值为1|2|1,2     */
	Terminals *[]int64 `json:"terminals,omitempty" `

	/*
	   会员维度活动参与人群限制：-1:不限制 1:会员专享 2:非会员专享     */
	MemberLimit *int64 `json:"member_limit,omitempty" `

	/*
	   商家人群编码     */
	MerchantCrowdCode *string `json:"merchant_crowd_code,omitempty" `

	/*
	   淘鲜达人群编码     */
	TxdCrowdCode *string `json:"txd_crowd_code,omitempty" `
}

func (s *AlibabaHmMarketingItembuygiftQueryactivityItemBuyGiftActivity) SetActivityId(v int64) *AlibabaHmMarketingItembuygiftQueryactivityItemBuyGiftActivity {
	s.ActivityId = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryactivityItemBuyGiftActivity) SetOutActId(v string) *AlibabaHmMarketingItembuygiftQueryactivityItemBuyGiftActivity {
	s.OutActId = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryactivityItemBuyGiftActivity) SetDescription(v string) *AlibabaHmMarketingItembuygiftQueryactivityItemBuyGiftActivity {
	s.Description = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryactivityItemBuyGiftActivity) SetActivityName(v string) *AlibabaHmMarketingItembuygiftQueryactivityItemBuyGiftActivity {
	s.ActivityName = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryactivityItemBuyGiftActivity) SetEndTime(v int64) *AlibabaHmMarketingItembuygiftQueryactivityItemBuyGiftActivity {
	s.EndTime = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryactivityItemBuyGiftActivity) SetStartTime(v int64) *AlibabaHmMarketingItembuygiftQueryactivityItemBuyGiftActivity {
	s.StartTime = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryactivityItemBuyGiftActivity) SetShopIds(v string) *AlibabaHmMarketingItembuygiftQueryactivityItemBuyGiftActivity {
	s.ShopIds = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryactivityItemBuyGiftActivity) SetTerminals(v []int64) *AlibabaHmMarketingItembuygiftQueryactivityItemBuyGiftActivity {
	s.Terminals = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryactivityItemBuyGiftActivity) SetMemberLimit(v int64) *AlibabaHmMarketingItembuygiftQueryactivityItemBuyGiftActivity {
	s.MemberLimit = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryactivityItemBuyGiftActivity) SetMerchantCrowdCode(v string) *AlibabaHmMarketingItembuygiftQueryactivityItemBuyGiftActivity {
	s.MerchantCrowdCode = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryactivityItemBuyGiftActivity) SetTxdCrowdCode(v string) *AlibabaHmMarketingItembuygiftQueryactivityItemBuyGiftActivity {
	s.TxdCrowdCode = &v
	return s
}
